Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           onesixtyone
Version:        0.3.2
Release:        alt2_25
Summary:        An efficient SNMP scanner

License:        GPLv2+
URL:            http://www.phreedom.org/software/onesixtyone/
Source0:        http://www.phreedom.org/software/onesixtyone/releases/%{name}-%{version}.tar.gz
#GPG Signature  by "Solar Eclipse <solareclipse@phreedom.org>"
Source1:        http://www.phreedom.org/software/onesixtyone/releases/%{name}-%{version}.tar.gz.sig
#Manpage
Source2:        %{name}.1
Patch0:         onesixtyone-makefile.patch

BuildRequires:  gcc
Source44: import.info

%description
onesixtyone takes a different approach to SNMP scanning. It takes advantage of
the fact that SNMP is a connection-less protocol and sends all SNMP requests
as fast as it can. Then the scanner waits for responses to come back and logs
them, in a fashion similar to Nmap ping sweeps.

%prep
%setup -q
%patch0 -p0

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
# Not needed for Fedora, but package exists for EPEL as well
install -D onesixtyone %{buildroot}%{_bindir}/onesixtyone
install -D -m 0644 dict.txt %{buildroot}%{_datadir}/onesixtyone/dict.txt
install -m 0644 -pD %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1

%files
# No copy of GPL in tarball, licencing info in .c file.
%doc ChangeLog README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.3.2-alt2_25
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt2_24
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_24
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_23
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_22
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_21
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_20
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_19
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_15
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_14
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_13
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_12
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_11
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_10
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_9
- initial fc import

